zope.deprecation source package in Xenial

python-zope.deprecation: No summary available for python-zope.deprecation in ubuntu wily.
python3-zope.deprecation: Zope Deprecation Infrastructure

Versions published

Release

The package versions that were published when the distribution release was made.

zope.deprecation information

Current version:
4.1.2-1
Uploaded:
2015-06-10
Urgency:
Medium Urgency

Upstream connections

The Zope Toolkitzope.deprecationtrunk

When we started working on Zope 3.1, we noticed that the hardest part of the development process was to ensure backward-compatibility and correctly mark deprecated modules, classes, functions, methods and properties. This package provides a simple function called 'deprecated(names, reason)' to deprecate the previously mentioned Python objects.

Bug supervisor: no
Bug tracker: no
Branch: yes

There are no registered releases for the zope.deprecation ⇒ trunk.

Releases in Ubuntu

Binary packages

Download files from current release (4.1.2-1)

File Size SHA-256 Checksum
zope.deprecation_4.1.2-1.dsc 2.2 KiB d63a073e715b0f09710ae7321a46ae6f8b130dd663ebc0f8d662a947d0c1e98a
zope.deprecation_4.1.2.orig.tar.gz 74.7 KiB 5e7b196750c6a8842270b4e25b28bc9ee9e315a9fdc5c89f1237a646d38d9383
zope.deprecation_4.1.2-1.debian.tar.xz 3.1 KiB 8b40c011d3cc9607e668a78f8f03eaeedb26bc073625005e1c6e2e1ba50d20c2

Package relationships

Build dependencies

Platform-independent build dependencies

Platform-dependent build dependencies

Build conflicts

Platform-independent build dependencies

Platform-dependent build dependencies